Skip to content

AI API Key

create-ai-api-key

Create AI API Key

POST /ai/ai-api-key

Create a new AI API key

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
namestringyesHuman-readable name for the AI API key
scopestringyesKey scope: ‘public’ for all deployments, or a specific deployment UUID
Example
{
  "name": "string",
  "scope": "string"
}

Responses

200: 200

Content-Type: application/json

Example output
{}

400: 400

Content-Type: application/json

PropertyTypeDescription
detailstring
errorsarray of Errors
instancestring
statusinteger
titlestring
typestring
Example output
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}

403: 403

Content-Type: application/json

PropertyTypeDescription
codestringMachine-readable forbidden error code

Allowed values: forbidden_operation.
errorstringForbidden error message
Example output
{
  "code": "forbidden_operation",
  "error": "string"
}

404: 404

Content-Type: application/json

PropertyTypeDescription
detailstring
errorsarray of Errors
instancestring
statusinteger
titlestring
typestring
Example output
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}

SDK reference for create-ai-api-key: golang | Python | Java

CLI: exo api create-ai-api-key

get-ai-api-key

Get AI API Key

GET /ai/ai-api-key/{id}

Get AI API key metadata

Path parameters

NameInDescription
idpath

Responses

200: 200

Content-Type: application/json

PropertyTypeDescription
created-atstringCreation timestamp
idstringAI API key ID
namestringHuman-readable name for the AI API key
org-uuidstringOrganization UUID that owns this key
scopestringKey scope: ‘public’ for all deployments, or a specific deployment UUID
updated-atstringLast update timestamp
Example output
{
  "created-at": "2024-01-01T12:00:00Z",
  "id": "string",
  "name": "string",
  "org-uuid": "string",
  "scope": "string",
  "updated-at": "2024-01-01T12:00:00Z"
}

403: 403

Content-Type: application/json

PropertyTypeDescription
codestringMachine-readable forbidden error code

Allowed values: forbidden_operation.
errorstringForbidden error message
Example output
{
  "code": "forbidden_operation",
  "error": "string"
}

404: 404

Content-Type: application/json

PropertyTypeDescription
detailstring
errorsarray of Errors
instancestring
statusinteger
titlestring
typestring
Example output
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}

SDK reference for get-ai-api-key: golang | Python | Java

CLI: exo api get-ai-api-key

update-ai-api-key

Update AI API Key

PATCH /ai/ai-api-key/{id}

Update AI API key name and/or scope

Path parameters

NameInDescription
idpath

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
namestringnoHuman-readable name for the AI API key
scopestringnoKey scope: ‘public’ for all deployments, or a specific deployment UUID
Example
{
  "name": "string",
  "scope": "string"
}

Responses

200: 200

Content-Type: application/json

PropertyTypeDescription
created-atstringCreation timestamp
idstringAI API key ID
namestringHuman-readable name for the AI API key
org-uuidstringOrganization UUID that owns this key
scopestringKey scope: ‘public’ for all deployments, or a specific deployment UUID
updated-atstringLast update timestamp
Example output
{
  "created-at": "2024-01-01T12:00:00Z",
  "id": "string",
  "name": "string",
  "org-uuid": "string",
  "scope": "string",
  "updated-at": "2024-01-01T12:00:00Z"
}

400: 400

Content-Type: application/json

PropertyTypeDescription
detailstring
errorsarray of Errors
instancestring
statusinteger
titlestring
typestring
Example output
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}

403: 403

Content-Type: application/json

PropertyTypeDescription
codestringMachine-readable forbidden error code

Allowed values: forbidden_operation.
errorstringForbidden error message
Example output
{
  "code": "forbidden_operation",
  "error": "string"
}

404: 404

Content-Type: application/json

PropertyTypeDescription
detailstring
errorsarray of Errors
instancestring
statusinteger
titlestring
typestring
Example output
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}

SDK reference for update-ai-api-key: golang | Python | Java

CLI: exo api update-ai-api-key

delete-ai-api-key

Delete AI API Key

DELETE /ai/ai-api-key/{id}

Delete AI API key

Path parameters

NameInDescription
idpath

Responses

200: 200

Content-Type: application/json

PropertyTypeDescription
deletedboolean
Example output
{
  "deleted": true
}

403: 403

Content-Type: application/json

PropertyTypeDescription
codestringMachine-readable forbidden error code

Allowed values: forbidden_operation.
errorstringForbidden error message
Example output
{
  "code": "forbidden_operation",
  "error": "string"
}

404: 404

Content-Type: application/json

PropertyTypeDescription
detailstring
errorsarray of Errors
instancestring
statusinteger
titlestring
typestring
Example output
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}

SDK reference for delete-ai-api-key: golang | Python | Java

CLI: exo api delete-ai-api-key


Other Operations

list-ai-api-keys

List AI API Keys

GET /ai/ai-api-key

List AI API keys for an organization

Responses

200: 200

Content-Type: application/json

PropertyTypeDescription
ai-api-keysarray of AI API key metadata (without value)
Example output
{
  "ai-api-keys": [
    {
      "created-at": "2024-01-01T12:00:00Z",
      "id": "string",
      "name": "string",
      "org-uuid": "string",
      "scope": "string",
      "updated-at": "2024-01-01T12:00:00Z"
    }
  ]
}

403: 403

Content-Type: application/json

PropertyTypeDescription
codestringMachine-readable forbidden error code

Allowed values: forbidden_operation.
errorstringForbidden error message
Example output
{
  "code": "forbidden_operation",
  "error": "string"
}

SDK reference for list-ai-api-keys: golang | Python | Java

CLI: exo api list-ai-api-keys

rotate-ai-api-key

Rotate AI API Key

POST /ai/ai-api-key/{id}/rotate

Rotate AI API key value

Path parameters

NameInDescription
idpath

Responses

200: 200

Content-Type: application/json

Example output
{}

403: 403

Content-Type: application/json

PropertyTypeDescription
codestringMachine-readable forbidden error code

Allowed values: forbidden_operation.
errorstringForbidden error message
Example output
{
  "code": "forbidden_operation",
  "error": "string"
}

404: 404

Content-Type: application/json

PropertyTypeDescription
detailstring
errorsarray of Errors
instancestring
statusinteger
titlestring
typestring
Example output
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "location": "string",
      "path": "string",
      "pointer": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}

SDK reference for rotate-ai-api-key: golang | Python | Java

CLI: exo api rotate-ai-api-key

Last updated on